Subject: Re: issue with 85a19b0e31e2 on 4.19 -> revert

From: Greg Kroah-Hartman <[email-masked]>
Date: Mon, 30 Mar 2020 16:30:38 +0200

On Sat, Mar 28, 2020 at 10:52:19AM +0100, Heiner Kallweit wrote:
> On 28.03.2020 00:24, David Miller wrote:
> > From: Heiner Kallweit <[email-masked]>
> > Date: Sat, 28 Mar 2020 00:10:57 +0100
> > 
> >> Somehow that change made it to -stable. See e.g. commit
> >> 85a19b0e31e256e77fd4124804b9cec10619de5e for 4.19.
> > 
> > This is a serious issue in that it seems that the people maintaining
> > the older stable release integrate arbitrary patches even if they
> > haven't been sent to v5.4 and v5.5
> > 
> > And I don't handle -stable backport submissions that far back anyways.
> > 
> > Therefore, I'm not going to participate in that ongoing problem, so
> > feel free to contact the folks who integrated those changes into
> > -stable and ask them to revert.
> > 
> > Thanks.
> > 
> Greg,
> 
> commit 85a19b0e31e2 ("r8169: check that Realtek PHY driver module is loaded")
> made it accidentally to 4.19 and causes an issue with Android/x86.
> Could you please revert it?

Now reverted.  Should I also drop this from 5.4.y and 5.5.y?

thanks,

greg k-h